View Issue Details

IDProjectCategoryView StatusLast Update
0000262WackoWikicorepublic2019-09-13 09:45
Reporteradministrator Assigned Toebal  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000262: replace the remaining ereg() function with preg_match()
Descriptionereg() is slower than preg_match, and is being depreciated in php6.

I would recommend exchanging the remaining ereg() function with preg_replace()
Steps To Reproducefound here:
/formatters/highlight/css.php
/formatters/highlight/html.php

/lib/captcha/freecap.php
TagsNo tags attached.

Relationships

related to 0000326 resolvedadministrator replace the remaining split() function with preg_split() 
child of 0000345 resolvedadministrator Deprecated features in PHP 5.3.x 

Activities

ebal

2009-03-02 18:43

developer   ~0000583

FILES
 
 ./formatters/highlight/css.php : 160
 
 $css = ereg_replace('[^-y]' . $i,'<span style="color: ##oct##;">' .$i. '</span>',$css);
 
 ./formatters/highlight/html.php : 148
 
 $source = ereg_replace('<' .$i. '(>|[[:space:]])','<span style="color: ' .$options['color']['tags']. ';font-weight:bold;"><' .$i. '\\1</span>',$source);
 
 ./formatters/highlight/html.php : 153
 
 $source = ereg_replace('([[:space:]]|"|\'|\?)>','\\1<span style="color: ' .$options['color']['tags']. ';font-weight:bold;">></span>',$source);
 
 ./lib/captcha/freecap.php : 356
 
 $word = ereg_replace("[^a-z]","",$word);

ebal

2009-03-02 20:14

developer   ~0000584

Revision 282

plz check it

administrator

2009-03-02 20:34

administrator   ~0000585

works http://test.wackowiki.org/Bugs/49

Issue History

Date Modified Username Field Change
2009-01-20 23:15 administrator New Issue
2009-01-20 23:19 administrator Description Updated
2009-01-23 21:10 administrator Summary replace the ereg() function with preg_match() => replace the remaining ereg() function with preg_match()
2009-01-23 21:10 administrator Description Updated
2009-01-23 21:26 administrator Description Updated
2009-01-23 21:26 administrator Steps to Reproduce Updated
2009-01-23 21:26 administrator Status new => confirmed
2009-01-23 21:26 administrator Projection none => tweak
2009-02-16 13:14 ebal Status confirmed => assigned
2009-02-16 13:14 ebal Assigned To => ebal
2009-03-02 18:43 ebal Note Added: 0000583
2009-03-02 20:14 ebal Note Added: 0000584
2009-03-02 20:34 administrator Note Added: 0000585
2009-03-02 20:42 administrator Resolution open => fixed
2009-03-02 20:42 administrator Fixed in Version => 5.0.0
2009-03-02 20:42 administrator Target Version => 5.0.0
2009-03-02 20:44 administrator Status assigned => resolved
2009-09-18 11:33 administrator Issue cloned: 0000326
2009-09-18 11:33 administrator Relationship added related to 0000326
2009-10-13 15:58 administrator Target Version 5.0.0 => 5.0.beta
2009-10-13 16:05 administrator Fixed in Version 5.0.0 => 5.0.beta
2009-11-24 12:49 administrator Relationship added parent of 0000345
2009-11-24 12:54 administrator Relationship deleted parent of 0000345
2009-11-24 12:54 administrator Relationship added child of 0000345
2010-03-08 10:12 administrator Category Core => core
2011-05-31 21:24 administrator Build => R5.0.beta